Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Jul 31 14:32
    duianto commented #14952
  • Jul 31 14:32

    duianto on develop

    [bot] "documentation_updates" S… (compare)

  • Jul 31 14:32
    duianto closed #14952
  • Jul 31 14:26
    SpacemacsBot synchronize #14952
  • Jul 31 14:25

    duianto on develop

    Fix google-translate functional… (compare)

  • Jul 31 14:25
    duianto commented #14960
  • Jul 31 14:25
    duianto closed #14960
  • Jul 31 14:14
    italotoffolo starred syl20bnr/spacemacs
  • Jul 31 12:03
    duianto opened #14961
  • Jul 31 08:57
    XiangQingW starred syl20bnr/spacemacs
  • Jul 31 06:32
    dalanicolai commented #14872
  • Jul 31 06:29
    dalanicolai commented #14876
  • Jul 31 04:59
    SteveGremory commented #11645
  • Jul 31 01:05
    Holotmon starred syl20bnr/spacemacs
  • Jul 31 00:00
    b1ankcat starred syl20bnr/spacemacs
  • Jul 30 20:35
    dalanicolai opened #14960
  • Jul 30 20:03
    dalanicolai commented #14947
  • Jul 30 20:02
    dalanicolai commented #14947
  • Jul 30 18:03
    hyiltiz commented #14956
  • Jul 30 17:00
    duianto closed #14941
Marco Milanesi
@kpanic

hey folks, not sure how it happened but today I opened spacemacs develop (with emacs 28) and I got:

      An error occurred while post-configuring window-purpose in layer shell (error: (error Unknown type purpose-mode-alist))

    - 
      An error occurred while post-configuring window-purpose in layer erc (error: (error Unknown type purpose-mode-alist))

    - 
      An error occurred while post-configuring window-purpose in layer python (error: (error Unknown type purpose-mode-alist))

Happens only to me?

1 reply
ForrestHilton
@ForrestHilton
I just did a full update of spacemacs on emacs 27.2 and it works fine.
@kpanic
Marco Milanesi
@kpanic
@ForrestHilton I tried emacs 27 and indeed everything works. Looks like it is happening on emacs 28 only
Juan Pablo
@Perju
@kpanic I compiled emacs before this emacs-mirror/emacs@4c65544 commit and works well
Marco Milanesi
@kpanic
@Perju oh thanks for the info. I am using emacs-28 from the snap store (lazy me) under Ubuntu, although I will check that commit hash
milochadam
@milochadam
Should evil-numbers/inc-at-pt work out of the box with multiple-cursors? It's specified in evil-mc-known-commands so it technically should I think...
Lucius Hu
@lebensterben

Hello everyone, I am trying to do some C-C++ coding using the clang backend but the include path is wrong. How can I edit it or pass arguments to clangd?

See CompileFlags. One solution is to add a compile_comands.json in the root of the project. https://clangd.llvm.org/config

This is frustruating for many new users.
A much simpler alternative is compile_flags.txt https://clang.llvm.org/docs/JSONCompilationDatabase.html#alternatives
The Wayfarrer
@epixinvites
image.png
how do i cancel this dialog
can't find the keybind to do that
basaran
@basaran
@epixinvites, did you try popwin:close-popup-window comment ?
M-x, and then search for popwin
Ivan Yonchovski
@yyoncho
@epixinvites C-g
Lucius Hu
@lebensterben
ESC should work if evil-collections is enabled for it
The Wayfarrer
@epixinvites
thanks
C-g works
luyangliuable
@luyangliuable
Hi any clue on how to change project location?
3 replies
Florian | W3F
@florian:web3.foundation
[m]
@kpanic: Downgrading from 20210613 (b0d6886 on pgtk) to 20210519 (1f82c85 on pgtk) did it for me as well. So it must be caused by a recent addition to emacs master in the last month.
sektor
@sektor:matrix.hunterjozwiak.com
[m]
Is anyone receiving errors the likes of this?
Error (use-package): eyebrowse/:config: Unknown type purpose-mode-alist
1 reply
If so, what is the fix?
Deepak Tripathi
@gnumonk
In spacemcas how do I enable postgres with tab completion? so that statement should get complete while we use "TAB" , just like from psql terminal from xterm.
I cannot remember now
company-tng should allow you to use TAB for selecting completions
Florian | W3F
@florian:web3.foundation
[m]
Depends on how you installed your emacs how easy that is for you.
2 replies
Daniel Nicolai
@dalanicolai
@gnumonk Do you have sqls lsp server installed?
wztdream
@wztdream
Hi all, when I use org layer, there will be an error 'Error (use-package): Cannot load org-contrib'
I think it is due to below setting in org layer, there is no feature named 'org-contrib', so how can I clear this error
(defun org/init-org-contrib ()
  (use-package org-contrib)
  :defer t
  )
you seems to be running on a fork
the parentheses is wrong
wztdream
@wztdream
Sorry, for this confusing, the code above is due to my mistake,(I type it myself, the code in my spacemacs is correct), but the error is same with this right code:
(defun org/init-org-contrib ()
  (use-package org-contrib
    :defer t))
An this change is due to syl20bnr/spacemacs@6319701, and these seems no feature named org-contrib, it seems to me this setting is wrong.
@lebensterben you can reproduce this error by adding org layer, you should see this error too.
Deepak Tripathi
@gnumonk

@gnumonk Do you have sqls lsp server installed?

@dalanicolai Yes , I do have

Lucius Hu
@lebensterben
I just replied to your bug report
as long as https://elpa.nongnu.org/nongnu is accessible, Emacs can find org-contrib
wztdream
@wztdream
@lebensterben thank you, this is indeed the root cause, as I use some mirror sources, after add nongnu.org to configuration-layer-elpa-archives it works.
Lucius Hu
@lebensterben
great
it's surprising that https://elpa.nongnu.org/nongnu is not blocked in China yet
sektor
@sektor:matrix.hunterjozwiak.com
[m]
Does rcirc not support connecting to previously attached channels or is something else going on? I keep getting this:
2021-06-17 13:33 !!! social.hunterjozwiak.com: connection broken by remote
peer (closed)
For reference, I have my config like this:
(setq rcirc-server-alist '(("talkabout-znc"
:host "social.hunterjozwiak.com"
:port "5000"
:auth "sektor/talkabout"))
Muff2n
@Muff2n
I hope this is the right place to ask this. When I use emacs it is using the qwerty-us layout, but I have a qwerty-gb keyboard. My OS is setup with gb keyboard. I have been trying to change it with either setting keyboard-layout layer variables or calling quail-keyboard-layout, but nothing changes it. Would someone be able to give me some pointers please?
Daniel Nicolai
@dalanicolai
@gnumonk Ah and it is working? Because here it comes with TAB completion...
Deepak Tripathi
@gnumonk
@dalanicolai nope its is not,for lsp its using sqli server and there I see that statement like "SELECT * FROM <table_name>" , where table_name is not getting auto populated.
steveb-123
@steveb-123
Hi all got a question about where I should submit a bug report regarding the python layer functionality: When I'm in python mode via spacemacs python layer there is a useful menu to drive pipenv to make changes to the venv. This includes installing packages using pipenv onm the fly, via helm. I think that while packages are installing I should get a tail log of the install process in a popup window at the bottom of emacs session. As it is currently, the install process is kind of 'blind' and it would be reassuring to watch the progress of the install as these things are prone to fails. My question is where do I raise this? Its deep in the python layer functionality but perhaps some linked .el where I should bring it up. Not sure how this stuff works